Tspi_Context_GetKeyByUUID(3)

TCG Software Stack Developers Reference

NAME
Tspi_Context_GetKeyByUUID - get a handle to a key registered in persistent storage.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Context_GetKeyByUUID(TSS_HCONTEXT hContext, TSS_FLAG  persistentStorageType,
                                     TSS_UUID     uuidData, TSS_HKEY* phKey);

DESCRIPTION

Tspi_Context_GetKeyByUUID searches the Persistent Storage database for a registered key using the given UUID. It then creates a key object initialized to the found data and returns a handle to the key object.

PARAMETERS

  hContext
The hContext parameter is the handle of the context object.

  persistentStorageType
The persistentStorageType parameter indicates the persistent storage the key is registered in.

  uuidData
The uuidData parameter is the UUID by which the key is registered in persistent storage.

  phKey
The phKey parameter receives the handle of the key object representing the key.

RETURN CODES

Tspi_Context_GetKeyByUUID returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hContext is an invalid handle.

TSS_E_PS_KEY_NOTFOUND
    The key cannot be found in the persistent storage database.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_Context_GetKeyByUUID conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_GetTpmObject(3), Tspi_Context_LoadKeyByUUID(3), Tspi_Context_GetRegisteredKeysByUUID(3), Tspi_Context_GetKeyByPublicInfo(3).